Creates a new function. If a function with the given name already exists in the specified project, the long running operation will return ALREADY_EXISTS error.
HTTP request
POST https://cloudfunctions.googleapis.com/v1beta2/{location}/functions
Path parameters
| Parameters | |
|---|---|
location |
The project and location in which the function should be created, specified in the format Authorization requires the following Google IAM permission on the specified resource
|
Request body
The request body contains an instance of CloudFunction.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.


